Package org.postgresql.util

# Class PGPropertyMaxResultBufferParser

java.lang.Object
org.postgresql.util.PGPropertyMaxResultBufferParser

public class PGPropertyMaxResultBufferParser extends Object

## Constructor Summary

Constructors
Constructor
Description
`PGPropertyMaxResultBufferParser()`

## Method Summary

Modifier and Type
Method
Description
`static long`
`parseProperty(@Nullable String value)`
Method to parse value of max result buffer size.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PGPropertyMaxResultBufferParser

public PGPropertyMaxResultBufferParser()

## Method Details

### parseProperty

public static long parseProperty(@Nullable String value) throws PSQLException
Method to parse value of max result buffer size.

Parameters:
  `value` - string containing size of bytes with optional multiplier (T, G, M or K) or percent value to declare max percent of heap memory to use.
Returns:
  value of max result buffer size.
Throws:
  `PSQLException` - Exception when given value can't be parsed.